Package: groovy.xml.slurpersupport

## [Java] Class NodeParents

- groovy.xml.slurpersupport.NodeParents

-     public class NodeParents
      extends NodeChildren

  Lazy evaluated representation of parent nodes without duplicates

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeParents(GPathResult parent, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator` | `nodeIterator()` * Returns the raw node iterator backing this lazy result. * * Returns: the underlying node iterator

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NodeChildren` | `appendNode, build, childNodes, find, findAll, iterator, nodeIterator, parents, replaceBody, replaceNode, size, text, writeTo`
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, createIterator, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, plus, pop, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public NodeParents(GPathResult parent, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### public Iterator nodeIterator()

      * Returns the raw node iterator backing this lazy result. * *

      Returns:
        the underlying node iterator